{
  "name": "/nervui/nervui-smart-parking",
  "version": 1,
  "inputs": [
    {
      "name": "server_ip",
      "type": "string",
      "required": true,
      "description": "应用安装IP地址",
      "inputType": "ipSelectType"
    },
    {
      "name": "version",
      "type": "string",
      "required": true,
      "description": "软件版本",
      "inputType": "versionSelectType"
    },
    {
      "name": "install_dir",
      "type": "string",
      "required": true,
      "defaultValue": "/data",
      "inputType": "textInputType",
      "description": "安装目录"
    }
  ],
  "nodes": [
    {
      "name": "nervui-smart-parking",
      "type": "/nerv/nerv-orchestrator/cluster/Nervui",
      "parameters": [
        {
          "name": "file_repository",
          "value": "${nerv_file_repository}"
        },
        {
          "name": "install_dir",
          "value": "${install_dir}"
        },
        {
          "name": "pkg_url",
          "value": "/api/pkg/nerv/nervui-smart-parking/${version}/nervui-smart-parking-${version}.tgz"
        }
      ],
      "dependencies": [
        {
          "type": "contained",
          "target": "host"
        }
      ]
    },
    {
      "name": "host",
      "type": "/nerv/nerv-orchestrator/compute/Host",
      "parameters": [
        {
          "name": "address",
          "value": "${server_ip}"
        }
      ]
    }
  ]
}